using System.ComponentModel;

namespace Lada.Framework.Data.Enums
{
    /// <summary>
    /// Danh sách các hành động cần ghi lịch sử của đơn hàng
    /// </summary>
    public enum PictureType
    {
        [Description("Ảnh tin tuyển dụng")]
        JobPost = 3,
        [Description("Nội dung tin tuyển dụng")]
        JobPostContent = 31,
        [Description("Đại diện tin tuyển dụng")]
        JobPostThumb = 32,
        [Description("Ảnh bài viết")]
        Post = 1,
        [Description("Nội dung bài viết")]
        PostContent = 11,
        [Description("Đại diện bài viết")]
        PostThumb = 12,
        [Description("Ảnh đơn hàng")]
        Order = 2,
        [Description("Ảnh lấy hàng")]
        OrderPickup = 21,
        [Description("Ảnh giao hàng")]
        OrderDelivery = 22,
        [Description("Ảnh trả hàng")]
        OrderReturn = 23,

        [Description("Nội dung dịch vụ")]
        ProductContent = 51,
        [Description("Đại diện dịch vụ")]
        ProductThumb = 52,


        [Description("Nội dung topic")]
        TopicContent = 61,

        [Description("Ảnh chấm công")]
        Attendance = 81,
    }

    public enum MediaType
    {
        [Description("Hình ảnh")]
        Image = 1,
        [Description("Video")]
        Video = 2
    }
}
